| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Slots | List of all members
Digikam::HistogramBox Class Reference
Inheritance diagram for Digikam::HistogramBox:

## Public Slots
void | setChannel (ChannelType channel)
void | setScale (HistogramScale scale)

## Signals
void | signalChannelChanged (ChannelType channel)
void | signalScaleChanged (HistogramScale scale)

## Public Member Functions
| HistogramBox (QWidget *const parent=nullptr, HistogramBoxType type=Digikam::LRGB, bool selectMode=false)
ChannelType | channel () const
HistogramWidget * | histogram () const
HistogramScale | scale () const
void | setChannelEnabled (bool enabled)
void | setGradientColors (const QColor &from, const QColor &to)
void | setGradientVisible (bool visible)
void | setHistogramMargin (int)
void | setHistogramType (HistogramBoxType type)
void | setStatisticsVisible (bool b)

## Protected Slots
void | slotChannelChanged ()
void | slotScaleChanged ()